## samba-mounter 0.2+p20201123+git20201207.1956

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(samba-mounter)

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_sambamounter\")

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.2.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

find_package(KF5 REQUIRED COMPONENTS KCMUtils I18n KIO Auth Solid Config)

add_subdirectory(src)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
samba-mounter (0.2+p20201123+git20201207.1956-0) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 19:57:02 +0000

samba-mounter (0.2) unstable; urgency=low

  * Initial Release.

 -- Leszek Lesner <leszek@zevenos.com>  Wed, 18 Mar 2015 13:26:22 +0100

=== debian/control ===
Source: samba-mounter
Section: kde
Priority: extra
Maintainer: Leszek Lesner <leszek@zevenos.com>
Build-Depends: cmake,
               debhelper (>= 8),
               extra-cmake-modules,
               kio-dev,
               libkf5auth-dev,
               libkf5config-dev,
               libkf5i18n-dev,
               libkf5kcmutils-dev,
               libkf5solid-dev,
               pkg-kde-tools
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Git: https://github.com/dci-extras-packaging/samba-mounter
Vcs-Browser: https://github.com/dci-extras-packaging/samba-mounter

Package: samba-mounter
Architecture: any
Depends: cifs-utils, smbclient, ${misc:Depends}, ${shlibs:Depends}
Description: User space Samba mount manager for the Plasma Workspace
 Manage Samba mounts from within the Plasma Workspace, without having to modify
 anything manually.

Package: samba-mounter-dbg
Architecture: any
Depends: samba-mounter (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: User space Samba mount manager for the Plasma Workspace
 Manage Samba mounts from within the Plasma Workspace, without having to modify
 anything manually.
 .
 This package contains debugging symbols for samba-mounter

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --parallel --dbg-package=samba-mounter-dbg

NAME?=samba-mounter
VERSION?=0.1+git$(shell date +%Y%m%d)01
DIRNAME?=$(NAME)-$(VERSION)
TARFILE?=$(NAME)_$(VERSION).orig.tar.gz

get-orig-source:
	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/scratch/afiestas/samba-mounter HEAD | gzip -c9 > ../$(TARFILE)

../$(TARFILE): get-orig-source

.PHONY: override_dh_auto_test

## samba-mounter 0.2+p20201123+git20210126.0331

=== src/CMakeLists.txt ===
set(sambamount_SRCS
    sambamount.cpp
    mountinfo.cpp
)

ki18n_wrap_ui(sambamount_SRCS kcm.ui mount.ui)

set_property(SOURCE org.kde.KPasswdServer.xml PROPERTY INCLUDE "KIO/AuthInfo")
qt5_add_dbus_interface(sambamount_SRCS org.kde.KPasswdServer.xml kpasswdserver_interface)

add_library(kcm_sambamount MODULE ${sambamount_SRCS})

target_link_libraries(kcm_sambamount
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOWidgets
    KF5::Auth
    KF5::Solid
    KF5::ConfigCore
    Qt5::DBus
)

install(TARGETS kcm_sambamount DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES sambamount.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(PROGRAMS sambamounterapp.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

add_subdirectory(helper)
add_subdirectory(onstart)

=== src/helper/CMakeLists.txt ===

add_executable(samba_helper  sambahelper.cpp)
target_link_libraries(samba_helper Qt5::Core KF5::Auth)
install(TARGETS samba_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_helper_files(samba_helper org.kde.sambamounter root)
kauth_install_actions(org.kde.sambamounter samba-mounter.actions)

add_executable(samba-realmounter realmounter.cpp)
target_link_libraries(samba-realmounter Qt5::Core)
install(TARGETS samba-realmounter DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

add_executable(samba-realumounter realumounter.cpp)
target_link_libraries(samba-realumounter Qt5::Core)
install(TARGETS samba-realumounter DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/onstart/CMakeLists.txt ===

add_executable(samba-onstart main.cpp onstart.cpp)
target_link_libraries(samba-onstart Qt5::Widgets Qt5::Network KF5::ConfigCore KF5::Auth)

install(TARGETS samba-onstart DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS sambamounter.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(PROGRAMS sambamounter.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

=== debian/changelog ===
samba-mounter (0.2+p20201123+git20210126.0331-0) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Tue, 26 Jan 2021 03:31:56 +0000
